STOFFListManager Class Reference documentation

STOFFListManager Class Reference

a manager which manages the lists, keeps the different kind of lists, to assure the unicity of each list More...

`#include <STOFFList.hxx>`

## Public Member Functions
| STOFFListManager ()
| the constructor
| ~STOFFListManager ()
| the destructor
bool | needToSend (int index, std::vector< int > &idMarkerList) const
| check if a list need to be send/resend to the interface
std::shared_ptr< STOFFList > | getList (int index) const
| returns a list with given index ( if found )
std::shared_ptr< STOFFList > | getNewList (std::shared_ptr< STOFFList > actList, int levl, STOFFListLevel const &level)
| returns a new list corresponding to a list where we have a new level
std::shared_ptr< STOFFList > | addList (std::shared_ptr< STOFFList > actList)
| add a new list

## Protected Attributes
std::vector< STOFFList > | m_listList
| the list of created list
std::vector< int > | m_sendIdMarkerList
| the list of send list to interface

## Detailed Description

a manager which manages the lists, keeps the different kind of lists, to assure the unicity of each list

## Constructor & Destructor Documentation

## ◆ STOFFListManager()

STOFFListManager::STOFFListManager | ( |  | ) |
| inline

the constructor

## ◆ ~STOFFListManager()

STOFFListManager::~STOFFListManager | ( |  | ) |
| inline

the destructor

## Member Function Documentation

## ◆ addList()

std::shared_ptr< STOFFList > STOFFListManager::addList | ( | std::shared_ptr< STOFFList > | actList | ) |

add a new list

## ◆ getList()

std::shared_ptr< STOFFList > STOFFListManager::getList | ( | int | index | ) | const

returns a list with given index ( if found )

## ◆ getNewList()

std::shared_ptr< STOFFList > STOFFListManager::getNewList | ( | std::shared_ptr< STOFFList > | actList,
|  | int | levl,
|  | STOFFListLevel const & | level )

returns a new list corresponding to a list where we have a new level

## ◆ needToSend()

bool STOFFListManager::needToSend | ( | int | index,
|  | std::vector< int > & | idMarkerList ) const

check if a list need to be send/resend to the interface

## Member Data Documentation

## ◆ m_listList

std::vector<STOFFList> STOFFListManager::m_listList
| protected

the list of created list

Referenced by addList(), getList(), getNewList(), needToSend(), and STOFFListManager().

## ◆ m_sendIdMarkerList

std::vector<int> STOFFListManager::m_sendIdMarkerList
| mutableprotected

the list of send list to interface

Referenced by STOFFListManager().

The documentation for this class was generated from the following files:

- STOFFList.hxx
- STOFFList.cxx